API for ErpHub
API Reference
/- Retrieves the list of bookkeeping rules for a specified client. This endpoint returns all bookkeeping rules associated with the provided client ID. Each rule includes details such as the rule's ID, priority, and conditions.
Creates a new bookkeeping rule for the specified client. The rule defines how transactions
are processed and mapped to generate vouchers based on the client's requirements.
Deletes a specific bookkeeping rule for the specified client.
The rule to delete is identified by its unique rule ID.
Retrieves the details of a specific bookkeeping rule for the specified client.
This rule is identified by its unique rule ID.
Updates the details of an existing bookkeeping rule for the specified client.
The rule to update is identified by its unique rule ID.
Replaces the existing transaction filters of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current filters will be removed and replaced with the filters provided in the request body.
CreateBookkeepingSetting
GetBookkeepingSettings
UpdateBookkeepingSetting
DeleteBookkeepingSetting
GetBookkeepingSetting
Creates a new bookkeeping rule for the specified client. The rule defines how transactions
are processed and mapped to generate vouchers based on the client's requirements.
Retrieves the details of a specific bookkeeping rule for the specified client.
This rule is identified by its unique rule ID.
Updates the details of an existing bookkeeping rule for the specified client.
The rule to update is identified by its unique rule ID.
Deletes a specific bookkeeping rule for the specified client.
The rule to delete is identified by its unique rule ID.
Updates the priority for all bookkeeping rules associated with the specified client.
All rules must be included in the request, identified by their unique rule IDs.
Missing or unknown rules will result in a validation error.
Replaces the existing transaction filters of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current filters will be removed and replaced with the filters provided in the request body.
Replaces the existing transaction units of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current units will be removed and replaced with the units provided in the request body.
Replaces the existing transaction units of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current units will be removed and replaced with the units provided in the request body.
Retrieves the list of boo...
ErpHub API (1)
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi
ErpHub API
https://erphub-api.aritma.io
ErpHub API (Dev)
https://erphub-api.dev.aritma.io
Body
- application/json
- text/json
- application/*+json
Specifies the ID of the settings to link to. If no settings exist, create them before proceeding.
Gets or sets the minimum number of filters that must match for the bookkeeping rule to apply. This property works in combination with the 'at least FilterCriteria' logic to determine applicability.
Enum"CombineIntoSingleVoucher""PostAsSeparateVouchers""MultiLinedVoucher""MultiLinedVoucherWithUnmatched"
Gets or sets the collection of filters applied to the bookkeeping rule. These filters are used to determine the conditions under which the rule is applied.
Defines a set of dynamic mappings that extract values from transaction fields and apply them to batch line fields.
- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
- application/json
- text/json
- application/*+json
{ "displayName": "string", "bookkeepingSettingId": "07af9850-9db1-4b77-ba9e-74c705771ff8", "autoUpdate": true, "isFeeRule": true, "minOptionalMatches": 0, "transactionPostingMode": "CombineIntoSingleVoucher", "filters": [ { … } ], "fieldMappings": [ { … } ], "units": [ { … } ] }
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }
- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
No request payloadResponse
application/json
[ { "links": { … }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "priority": 0, "minMatchingFilters": 0, "transactionPostingMode": "CombineIntoSingleVoucher", "createdAt": "2019-08-24T14:15:22Z", "lastUpdatedAt": "2019-08-24T14:15:22Z", "filters": [ … ] } ]
- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
No request payloadResponse
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "priority": 0, "minMatchingFilters": 0, "transactionPostingMode": "CombineIntoSingleVoucher", "createdAt": "2019-08-24T14:15:22Z", "lastUpdatedAt": "2019-08-24T14:15:22Z", "filters": [ { … } ] }